// PersonalFolderItem.h

#include "aplTreeItem.h"
#include "aplFolderTreeItem.h"

//class CaplProductTreeItem;

class CaplPersonalFolderTreeItem : public CaplFolderTreeItem
{
/*        //Attributes
public:
	CaplFolderTreeItem *m_parent;
	CaplInstance *m_inst;
	aplExtent m_sub_folders;
    */
	// Methods
public:
	CString m_name;
    CaplPersonalFolderTreeItem(CTreeCtrl *tree=0, CPSMDoc *doc=0,
		CaplFolderTreeItem *parent=0, CaplInstance *instance=0);
    bool GetName(CString &name);
    bool CreateTreeItem(HTREEITEM parent_item);
    bool TrackPopupMenu(CWnd *wnd, CPoint &point, UINT view_mode= APLICM_NORMALE);
	//void ShowToolBarButton(CToolBarCtrl *tb);
	BOOL ShowToolBarButton(CCmdUI* pCmdUI);
/*	bool RefreshItem();
	void GetAccessedInstances(aplExtent &ext);
    bool Expand(UINT action);
    bool ShowInListCtrl(CListCtrl *list);
	bool ShowContents();*/

	bool PasteItem(CaplTreeItem *item, CPoint *point=0);
	bool PasteFile(const char *file, CPoint *point){return false;};

protected:
	void ShowProperties() {};
/*
	void CreateProduct(CaplProductTreeItem *baseitem=0);
	void _CreateProduct(CaplProductTreeItem *baseitem=0);
	*/
};